dpkg-vendor(1)

BEZEICHNUNG
dpkg-vendor - fragt Informationen über den Distributionslieferanten ab

ÜBERSICHT
dpkg-vendor [Option …] Befehl

BESCHREIBUNG
dpkg-vendor ist ein Werkzeug, um Informationen über in /etc/dpkg/origins aufgeführte Lieferanten (engl. „vendor“) abzufragen. /etc/dpkg/origins/default enthält Informationen über den aktuellen Lieferanten.

BEFEHLE

--is Lieferant
    Beendet sich mit 0, falls der aktuelle Lieferant Lieferant ist, ansonsten mit 1.

--derives-from Lieferant
    Beendet sich mit 0, falls die aktuelle Lieferant-Distribution von Lieferant abgeleitet ist, ansonsten mit 1. Es verwendet das Feld Parent, um alle Vorfahren des aktuellen Lieferanten zu ermitteln.

--query Feld
    Gibt auf der Standardausgabe den Wert des Lieferanten-spezifischen Feldes für den aktuellen Lieferanten aus.

--help
    Zeigt einen Hinweis zum Aufruf und beendet das Programm.

--version
    Gibt die Version aus und beendet das Programm.

OPTIONEN

--vendor Lieferant
    Nimmt an, dass der aktuelle Lieferant Lieferant ist, statt ihn über die Umgebungsvariable DEB_VENDOR oder aus /etc/dpkg/origins/default zu ermitteln.

UMGEBUNG

DEB_VENDOR
    Diese Einstellung definiert den aktuellen Lieferanten. Falls nicht gesetzt, wird er aus /etc/dpkg/origins/default ermittelt.

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Unterstützung für Internationalisierung (oder i18n) bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

SIEHE AUCH
deb-origin(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2022 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.